프로그래밍, 데이터 과학을 위한 파이썬 입문

프로그래밍, 데이터 과학을 위한 파이썬 입문

(62개의 수강평)

1833명의 수강생
33,000원
지식공유자 · TeamLab
108회 수업· 총 16시간 13분수업
평생 무제한 시청
수료증 발급 강의
수강 난이도 '입문'
이상빈 프로필

아나콘다설치 이상빈 2일 전

wget 은 설명도 안해주시고,,, 결국 미니콘다 설치가 안돼서 아나콘다 설치했는데 문제 없을까요?

0
김건우 프로필

제출이 안됩니다. 김건우 4일 전

안녕하세요 교수님.

숙제제출이 안되는데 어떤 부분을 고쳐야 할까요?

1
Ein two 3 프로필

과제제출에 오류가 납니다. Ein two 3 5일 전

'backend.ai'은(는) 내부 또는 외부 명령, 실행할 수 있는 프로그램, 또는 배치 파일이 아닙니다.

라는 글이 나오면서 과제 제출이 안됩니다.

 pip install -U backend.ai-client==19.03.2

위의 것으로 backend.ai를 다시 설치해도 안됩니다.

cmd와 powershell 둘 모두 안되는데 어떻게 해야하나요?

3
hee.kim 프로필

lab2 숙제파일이 비어있어요 hee.kim 5일 전

저도 아랫분과 같이 빈파일만 다운받아집니다!

3
sangwook lee 프로필

lab2 다운로드 했는데 내용물이 없어요. sangwook lee 5일 전

lab2 숙제 할려고 다운 받았는데 lab2 폴더 안에 빈 채로 있습니다. 확인 부탁 드립니다.

2
sangwook lee 프로필

과제 제출이 안됩니다. sangwook lee 6일 전

아래와 같은 에러가 납니다.

1
deu05230 프로필

과제 제출 오류ㅠ deu05230 10일 전

 File "c:\users\deu05\miniconda3\lib\site-packages\ai\backend\client\request.py", line 399, in __aenter__

    raise BackendClientError(msg) from e

ai.backend.client.exceptions.BackendClientError: BackendClientError('Request to the API endpoint has failed.\nCheck your network connection and/or the server status.\n➜ ClientConnectorCertificateError()')

pip install -U backend.ai-client==19.03.2깔았는데도 자꾸 오류가 납니다 ㅠ

4
1243215 프로필

과제 제출시 오류 1243215 10일 전

Traceback (most recent call last):

  File "c:\programdata\miniconda3\lib\site-packages\aiohttp\connector.py", line 822, in _wrap_create_connection

    return await self._loop.create_connection(*args, **kwargs)

  File "c:\programdata\miniconda3\lib\asyncio\base_events.py", line 981, in create_connection

    ssl_handshake_timeout=ssl_handshake_timeout)

  File "c:\programdata\miniconda3\lib\asyncio\base_events.py", line 1009, in _create_connection_transport

    await waiter

  File "c:\programdata\miniconda3\lib\asyncio\sslproto.py", line 530, in data_received

    ssldata, appdata = self._sslpipe.feed_ssldata(data)

  File "c:\programdata\miniconda3\lib\asyncio\sslproto.py", line 189, in feed_ssldata

    self._sslobj.do_handshake()

  File "c:\programdata\miniconda3\lib\ssl.py", line 774, in do_handshake

    self._sslobj.do_handshake()

ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1076)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):

  File "c:\programdata\miniconda3\lib\site-packages\ai\backend\client\request.py", line 389, in __aenter__

    raw_resp = await self.rqst_ctx.__aenter__()

  File "c:\programdata\miniconda3\lib\site-packages\aiohttp\client.py", line 855, in __aenter__

    self._resp = await self._coro

  File "c:\programdata\miniconda3\lib\site-packages\aiohttp\client.py", line 370, in _request

    timeout=timeout

  File "c:\programdata\miniconda3\lib\site-packages\aiohttp\connector.py", line 445, in connect

    proto = await self._create_connection(req, traces, timeout)

  File "c:\programdata\miniconda3\lib\site-packages\aiohttp\connector.py", line 757, in _create_connection

    req, traces, timeout)

  File "c:\programdata\miniconda3\lib\site-packages\aiohttp\connector.py", line 879, in _create_direct_connection

    raise last_exc

  File "c:\programdata\miniconda3\lib\site-packages\aiohttp\connector.py", line 862, in _create_direct_connection

    req=req, client_error=client_error)

  File "c:\programdata\miniconda3\lib\site-packages\aiohttp\connector.py", line 825, in _wrap_create_connection

    req.connection_key, exc) from exc

aiohttp.client_exceptions.ClientConnectorCertificateError: Cannot connect to host api.backend.ai:443 ssl:True [SSLCertVerificationError: (1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1076)')]

The above exception was the direct cause of the following exception:

Traceback (most recent call last):

  File "c:\programdata\miniconda3\lib\runpy.py", line 193, in _run_module_as_main

    "__main__", mod_spec)

  File "c:\programdata\miniconda3\lib\runpy.py", line 85, in _run_code

    exec(code, run_globals)

  File "C:\ProgramData\Miniconda3\Scripts\backend.ai.exe\__main__.py", line 7, in <module>

  File "c:\programdata\miniconda3\lib\site-packages\click\core.py", line 764, in __call__

    return self.main(*args, **kwargs)

  File "c:\programdata\miniconda3\lib\site-packages\click\core.py", line 717, in main

    rv = self.invoke(ctx)

  File "c:\programdata\miniconda3\lib\site-packages\click\core.py", line 1137, in invoke

    return _process_result(sub_ctx.command.invoke(sub_ctx))

  File "c:\programdata\miniconda3\lib\site-packages\click\core.py", line 956, in invoke

    return ctx.invoke(self.callback, **ctx.params)

  File "c:\programdata\miniconda3\lib\site-packages\click\core.py", line 555, in invoke

    return callback(*args, **kwargs)

  File "c:\programdata\miniconda3\lib\site-packages\ai\backend\client\cli\run.py", line 577, in run

    if is_legacy_server():

  File "c:\programdata\miniconda3\lib\site-packages\ai\backend\client\session.py", line 24, in is_legacy_server

    ret = session.Kernel.hello()

  File "c:\programdata\miniconda3\lib\site-packages\ai\backend\client\base.py", line 21, in _method

    return cls.session.worker_thread.execute(coro)

  File "c:\programdata\miniconda3\lib\site-packages\ai\backend\client\session.py", line 64, in execute

    raise result

  File "c:\programdata\miniconda3\lib\site-packages\ai\backend\client\session.py", line 48, in run

    result = loop.run_until_complete(coro)

  File "c:\programdata\miniconda3\lib\asyncio\base_events.py", line 579, in run_until_complete

    return future.result()

  File "c:\programdata\miniconda3\lib\site-packages\ai\backend\client\kernel.py", line 46, in hello

    async with rqst.fetch() as resp:

  File "c:\programdata\miniconda3\lib\site-packages\ai\backend\client\request.py", line 399, in __aenter__

    raise BackendClientError(msg) from e

ai.backend.client.exceptions.BackendClientError: BackendClientError('Request to the API endpoint has failed.\nCheck your network connection and/or the server status.\n➜ ClientConnectorCertificateError()')

이전에 질문했었는데 답변대로 해도 오류가 나네요.

2
awry92 프로필

아톰오류 awry92 13일 전

D:\workspace\python_mooc\lab_1_windows\windows>atom arithmetic_function.py

'atom'은(는) 내부 또는 외부 명령, 실행할 수 있는 프로그램, 또는

배치 파일이 아닙니다.

아톰오류라서 첫번째과제부터 힘들어요 

뭐가 문제인걸까요?

D:\workspace\python_mooc\lab_1_windows\windows>python

Python 3.7.4 (default, Aug  9 2019, 18:34:13) [MSC v.1915 64 bit (AMD64)] :: Anaconda, Inc. on win32

Warning:

This Python interpreter is in a conda environment, but the environment has

not been activated.  Libraries may fail to load.  To activate this environment

please see https://conda.io/activation

Type "help", "copyright", "credits" or "license" for more information.

>>> import arithmetic_funcion

Traceback (most recent call last):

  File "<stdin>", line 1, in <module>

ModuleNotFoundError: No module named 'arithmetic_funcion'

>>> arithmetic_function.addition(5,8)

Traceback (most recent call last):

  File "<stdin>", line 1, in <module>

NameError: name 'arithmetic_function' is not defined

이런거만 자꾸 뜨는데 아예 모르겠어요 ㅠㅠ 

1
dnskdud88 프로필

질문 dnskdud88 15일 전

선생님, 혹시 collection module3의 예시 데이터인 user.csv는 어디서 다운로드 받을 수 있나요..? 강의노트 말고는 다른 강의 자료는 다운로드를 어디서 받을수 있는지 잘 몰라서 여쭙니다. 강의 잘 보고 있습니다. 감사드립니다. 

0
박상현 프로필

과제 제출이 되지 않습니다. 박상현 17일 전

D:\workspace\windows>submit.bat sub-2170c-220686-19767

∙ Session token prefix: d1633ecceb

∙ In the legacy mode, all cases will run serially!

✘ BackendAPIError: 400 Bad Request

  Missing or invalid API parameters. (lang is missing or empty!)

2
oh 프로필

과제제출 오류 oh 22일 전

ㅇ제출시 위와같은 오류가 납니다.

3
ys S 프로필

과제 제출이 안됩니다 ㅠ ys S 23일 전

E:\미니콘다\lab_2\lab_2\windows>submit.bat YOUR_HASH_KEY

∙ Session token prefix: 1504b805cd

∙ In the legacy mode, all cases will run serially!

✘ BackendAPIError: 400 Bad Request

  Missing or invalid API parameters. (lang is missing or empty!)

요렇게 뜹니다 ㅠㅠ 파이썬 3.7 환경입니다.

2
Hyunho 프로필

lablup 과제제출 확인 오류 Hyunho 25일 전

터미널에서 모두 패스 확인하고 Finished. 까지 확인했는데 홈페이지의 lablup 과제제출 확인이 클릭이 안됩니다..

3
showmanships@naver.com 프로필

과제제출 showmanships@naver.com 26일 전

다 패스하고 래블업과제제출버튼을 클릭하는데 버튼을 눌러도 아무일도 안일어납니다 ㅠ 어떻게하면 과제제출을 완료할 수 있을까요?

1
지식공유자 되기
많은 사람들에게 배움의 기회를 주고,
경제적 보상을 받아보세요.
지식공유참여
기업 교육을 위한 인프런
“인프런 비즈니스” 를 통해 모든 팀원이 인프런의 강의들을
자유롭게 학습하는 환경을 제공하세요.
인프런 비즈니스